<?php

declare(strict_types=1);

namespace App\Notification;

interface NotificationInterface
{
    /**
     * @param string[] $config Configuration
     */
    public static function factory(array $config): self;

    public function send(string $title, string $message): void;
}
